Subject: Blob validation clarification

From: "Ben Schepens" <[email-masked]>
Date: Mon, 22 Apr 2002 16:57:11 -0400

In the ResCap -- BLOB document, one of the validation steps 
(on page 14) is a little vague.  I believe the following statement:

  - The integer_pool_offset must be equal to the the number of
    arguments (decoded from array_counts_and_flags) multiplied by 4 
    plus 20 .

would be much clearer if rewritten as below:

   - The integer_pool_offset must be equal to the the total 
     number of arrays decoded from array_counts_and_flags + 1 
     (for the integer scalar array offset) + 1 (for the blob 
     scalar array) + 1 (for the string scalar array offset) 
     multiplied by 4 (Size in bytes of an unsigned int offset value)
     plus 20 (for the Blob Header Length)
 
       expectedOffset =  [ (total_array_counts + 3) * 4] + 20

~Ben Schepens
[email-masked]